with GNATCOM.Dispinterface;

package MSHTML.IDOMProgressEvent_Interface is

   type IDOMProgressEvent_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IDOMProgressEvent_Type);

   function Pointer (This : IDOMProgressEvent_Type)
     return Pointer_To_IDOMProgressEvent;

   procedure Attach (This    : in out IDOMProgressEvent_Type;
                     Pointer : in     Pointer_To_IDOMProgressEvent);

   function Get_lengthComputable
     (This : IDOMProgressEvent_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_loaded
     (This : IDOMProgressEvent_Type)
     return GNATCOM.Types.DWORDLONG;

   function Get_total
     (This : IDOMProgressEvent_Type)
     return GNATCOM.Types.DWORDLONG;

   procedure initProgressEvent
     (This                : IDOMProgressEvent_Type;
      eventType           : GNATCOM.Types.BSTR;
      canBubble           : GNATCOM.Types.VARIANT_BOOL;
      cancelable          : GNATCOM.Types.VARIANT_BOOL;
      lengthComputableArg : GNATCOM.Types.VARIANT_BOOL;
      loadedArg           : GNATCOM.Types.DWORDLONG;
      totalArg            : GNATCOM.Types.DWORDLONG;
      Free                : Boolean := True);

end MSHTML.IDOMProgressEvent_Interface;

